<!-- Template for the tags route -->
{% extends 'base.html' %}
<div class="row">
  {% block content %}
  <div class="row">
    <h2>Activity log for {{ fingerprint }}</h2>
    <table class="table">
      <thead>
        <tr>
          <th scope="col">Tag</th>
          <th scope="col">Username</th>
          <th scope="col">Published</th>
          <th scope="col">Fingerprint</th>
          <th scope="col"></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        {% for tag in tags: %}
          <tr>
            <th scope="row">
              {{ tag.tag }}</th>
            <td>{{ tag.username }}</td>
            <td>{{ tag.published }}</td>
            <td><a href="{{ url_for('routers.router', fingerprint=tag.fingerprint) }}">{{ tag.fingerprint }}</a></td>
            <td>
              {% if tag.status=='deleted' %}
                <form method="post" action="{{ url_for('routers.restore_tag', fingerprint=tag.fingerprint, tag=tag.tag) }}">
                  <button type="submit" class="btn btn-secondary"><i class="fa-solid fa-rotate-left"></i></button>
                </form>
              {% endif %}
            </td>
            <td>
              {% if not tag.status=='deleted' %}
                <form method="post" action="{{ url_for('routers.delete_tag', fingerprint=tag.fingerprint, tag=tag.tag) }}">
                  <button type="submit" class="btn btn-secondary"><i class="fa-solid fa-trash-can"></i></button>
                </form>
              {% endif %}
            </td>
          </tr>
        {% endfor %}

      </tbody>
    </table>
  </div>
  {% endblock %}
</div>